L'équipe Vigil@nce veille les vulnérabilités publiques qui affectent votre parc informatique, puis propose des correctifs sécurité, une base de données de vigilance et des outils pour y remédier.

Vulnérabilité de libpng : déréférencement de pointeur NULL via png_set_text_2

Synthèse de la vulnérabilité 

Un attaquant peut forcer le déréférencement d'un pointeur NULL via png_set_text_2() de libpng, afin de mener un déni de service.
Produits impactés : VNX Operating Environment, VNX Series, Fedora, Notes par IBM, libpng, openSUSE Leap, Solaris, Slackware, Ubuntu.
Gravité de ce bulletin : 2/4.
Date de création : 29/12/2016.
Références de cette menace : 2002676, bulletinjul2017, CVE-2016-10087, DSA-2020-030, FEDORA-2016-0eb1d4ad19, FEDORA-2016-12c22499dd, FEDORA-2016-1a7e14d084, FEDORA-2016-5c8dce58c9, FEDORA-2016-a4b06a036b, FEDORA-2016-aaf771b7a7, FEDORA-2017-66fd940572, FEDORA-2017-84bc8ac268, FEDORA-2017-bad9942e42, FEDORA-2017-cf1944f480, openSUSE-SU-2017:0937-1, openSUSE-SU-2017:0942-1, openSUSE-SU-2017:1037-1, SSA:2016-365-01, USN-3712-1, USN-3712-2, VIGILANCE-VUL-21483.

Description de la vulnérabilité 

Un attaquant peut forcer le déréférencement d'un pointeur NULL via png_set_text_2() de libpng, afin de mener un déni de service.
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Cet avis de vulnérabilité concerne les logiciels ou systèmes comme VNX Operating Environment, VNX Series, Fedora, Notes par IBM, libpng, openSUSE Leap, Solaris, Slackware, Ubuntu.

Notre équipe Vigil@nce a déterminé que la gravité de cette alerte de faille informatique est moyen.

Le niveau de confiance est de type confirmé par l'éditeur, avec une provenance de document.

Un attaquant avec un niveau de compétence expert peut exploiter cet avis cybersécurité.

Solutions pour cette menace 

libpng : version 1.6.27.
La version 1.6.27 est corrigée :
  ftp://ftp.simplesystems.org/pub/png/src
  http://libpng.sf.net/

libpng : version 1.5.28.
La version 1.5.28 est corrigée :
  ftp://ftp.simplesystems.org/pub/png/src
  http://libpng.sf.net/

libpng : version 1.4.20.
La version 1.4.20 est corrigée :
  http://www.libpng.org/pub/png/libpng.html

libpng : version 1.2.57.
La version 1.2.57 est corrigée :
  ftp://ftp.simplesystems.org/pub/png/src
  http://libpng.sf.net/

libpng : version 1.0.67.
La version 1.0.67 est corrigée :
  http://www.libpng.org/pub/png/libpng.html

Dell EMC VNXe3200 : version 3.1.11.10003441.
La version 3.1.11.10003441 est corrigée :
  https://www.dell.com/support/

Fedora : nouveaux paquetages libpng.
De nouveaux paquetages sont disponibles :
  Fedora 24 : libpng 1.6.27-1.fc24, libpng10 1.0.67-1.fc24
  Fedora 25 : libpng 1.6.27-1.fc25, libpng10 1.0.67-1.fc25

Fedora : nouveaux paquetages libpng12.
De nouveaux paquetages sont disponibles :
  Fedora 24 : libpng12 1.2.57-1.fc24
  Fedora 25 : libpng12 1.2.57-1.fc25

Fedora : nouveaux paquetages libpng15.
De nouveaux paquetages sont disponibles :
  Fedora 24 : libpng15 1.5.28-1.fc24
  Fedora 25 : libpng15 1.5.28-1.fc25

Fedora : nouveaux paquetages mingw-libpng.
De nouveaux paquetages sont disponibles :
  Fedora 25 : mingw-libpng 1.6.27-1.fc25
  Fedora 24 : mingw-libpng 1.6.27-1.fc24

IBM Notes : patch pour libpng.
Un patch est indiqué dans les sources d'information.

openSUSE Leap : nouveaux paquetages libpng12.
De nouveaux paquetages sont disponibles :
  openSUSE Leap 42.1 : libpng12 0-1.2.50-11.1
  openSUSE Leap 42.2 : libpng12 0-1.2.50-10.3.1

openSUSE Leap : nouveaux paquetages libpng15.
De nouveaux paquetages sont disponibles :
  openSUSE Leap 42.1 : libpng15 15-1.5.22-7.1
  openSUSE Leap 42.2 : libpng15 15-1.5.22-5.3.1

openSUSE Leap : nouveaux paquetages libpng16.
De nouveaux paquetages sont disponibles :
  openSUSE Leap 42.1 : libpng16 16-1.6.8-10.1
  openSUSE Leap 42.2 : libpng16 16-1.6.8-9.3.1

Oracle Solaris : patch pour logiciels tiers de juillet 2017 v1.
Un patch est disponible :
  https://support.oracle.com/rs?type=doc&id=1448883.1

Slackware : nouveaux paquetages libpng.
De nouveaux paquetages sont disponibles :
  Slackware 13.0 : libpng 1.2.57-*-1_slack13.0
  Slackware 13.1 : libpng 1.4.20-*-1_slack13.1
  Slackware 13.37 : libpng 1.4.20-*-1_slack13.37
  Slackware 14.0 : libpng 1.4.20-*-1_slack14.0
  Slackware 14.1 : libpng 1.4.20-*-1_slack14.1
  Slackware 14.2 : libpng 1.6.27-*-1_slack14.2

Ubuntu : nouveaux paquetages libpng.
De nouveaux paquetages sont disponibles :
  Ubuntu 18.04 LTS : libpng16-16 1.6.34-1ubuntu0.18.04.1
  Ubuntu 17.10 : libpng16-16 1.6.34-1ubuntu0.17.10.1
  Ubuntu 16.04 LTS : libpng12-0 1.2.54-1ubuntu1.1
  Ubuntu 14.04 LTS : libpng12-0 1.2.50-1ubuntu2.14.04.3
  Ubuntu 12.04 ESM : libpng12-0 1.2.46-3ubuntu4.3
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Service de veille sur les vulnérabilités informatiques 

Vigil@nce fournit des bulletins cyber-sécurité. La cellule de veille technologique suit les menaces sécurité qui ciblent le parc informatique.